## samba 4.15.5~dfsg

=== python/wscript ===
#!/usr/bin/env python

import os
from waflib import Options, Errors

# work out what python external libraries we need to be successful
selftest_pkgs = {
    'cryptography': 'python3-cryptography',
    'pyasn1': 'python3-pyasn1'
}

ad_dc_pkgs = {
    'markdown': 'python3-markdown',
    'dns': 'python3-dnspython (python3-dns on some systems)'
}


def find_third_party_module(conf, module, package, required=True):
    conf.COMPOUND_START("Checking for system installation of Python module %s" % module)
    try:
        __import__(module)
    except ImportError:
        conf.COMPOUND_END(False)
        if not required:
            return False
        raise Errors.WafError("""\
        Unable to find Python module '%s'. Please install the system package: %s'.
""" % (module, package))
    else:
        # Installed on the system
        conf.COMPOUND_END("system")

    return True


def configure(conf):
    if conf.env.disable_python:
        return

    kerberos_py = conf.srcnode.abspath() + "/python/samba/provision/kerberos_implementation.py"

    f = open(kerberos_py, 'w')
    try:
        header = """#
# Copyright (c) 2016      Andreas Schneider <asn@samba.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
"""
        f.write(header)

        data = """kdb_modules_dir = "{0}"
"""

        if conf.env.HEIMDAL_KRB5_CONFIG:
            f.write(data.format("", ""))
        else:
            modulesdir = "%s/krb5/plugins/kdb" % conf.env.LIBDIR

            f.write(data.format(modulesdir))
    finally:
        f.close()

    if conf.CONFIG_GET('ENABLE_SELFTEST'):
        for module, package in selftest_pkgs.items():
            find_third_party_module(conf, module, package)

        # Prefer dateutil.parser which is much more widely used.
        if not find_third_party_module(conf,
                                       'dateutil.parser',
                                       'python3-dateutilis',
                                       required=False):
            if not find_third_party_module(conf,
                                           'iso8601',
                                           'python3-iso8601',
                                           required=False):
                raise Errors.WafError("Could not find Python package "
                                      "'python3-dateutils' nor "
                                      "'python3-iso8601'. Please install "
                                      "one of the packages.")

    if not Options.options.without_ad_dc:
        for module, package in ad_dc_pkgs.items():
            find_third_party_module(conf, module, package)


def build(bld):


    pytalloc_util = bld.pyembed_libname('pytalloc-util')
    pyparam_util = bld.pyembed_libname('pyparam_util')
    libpython = bld.pyembed_libname('LIBPYTHON')
    pyrpc_util = bld.pyembed_libname('pyrpc_util')
    samba_python = bld.pyembed_libname('samba_python')
    bld.SAMBA_LIBRARY(samba_python,
                      source=[],
                      deps='%s %s %s' % (libpython, pytalloc_util, pyrpc_util),
                      grouping_library=True,
                      private_library=True,
                      pyembed=True,
                      enabled=bld.PYTHON_BUILD_IS_ENABLED())
    bld.SAMBA_PYTHON('python_glue',
                     source='pyglue.c',
                     deps='''
                              %s
                              samba-util
                              netif
                              ndr
                              %s
                              ''' % (pyparam_util, pytalloc_util),
                     realname='samba/_glue.so')

    bld.SAMBA_SUBSYSTEM(libpython,
                        source='modules.c',
                        public_deps='',
                        init_function_sentinel='{NULL,NULL}',
                        deps='talloc',
                        pyext=True,
                        enabled=bld.PYTHON_BUILD_IS_ENABLED())

    if bld.PYTHON_BUILD_IS_ENABLED():
        # install out various python scripts for use by make test
        bld.SAMBA_SCRIPT('samba_python_files',
                         pattern='samba/**/*.py',
                         installdir='python')

        bld.INSTALL_WILDCARD('${PYTHONARCHDIR}', 'samba/**/*.py', flat=False)

=== source3/wscript ===
#!/usr/bin/env python

srcdir = ".."

import sys, os
from optparse import SUPPRESS_HELP
sys.path.insert(0, srcdir + "/buildtools/wafsamba")
sys.path.insert(0, "source3")

from waflib import Options, Logs, Errors
import wafsamba
import build.charset
from wafsamba import samba_utils
from samba_utils import TO_LIST
import samba3

default_prefix = Options.default_prefix = '/usr/local/samba'

def options(opt):

    opt.add_option('--with-static-modules',
                   help=("Comma-separated list of names of modules to statically link in. "+
                         "May include !module to disable 'module'. "+
                         "Can be '!FORCED' to disable all non-required static only modules. "+
                         "Can be '!DEFAULT' to disable all modules defaulting to a static build. "+
                         "Can be 'ALL' to build all default shared modules static. "+
                         "The most specific one wins, while the order is ignored "+
                         "and --with-static-modules is evaluated before "+
                         "--with-shared-modules"),
                   action="store", dest='static_modules', default=None)
    opt.add_option('--with-shared-modules',
                   help=("Comma-separated list of names of modules to build shared. "+
                         "May include !module to disable 'module'. "+
                         "Can be '!FORCED' to disable all non-required shared only modules. "+
                         "Can be '!DEFAULT' to disable all modules defaulting to a shared build. "+
                         "Can be 'ALL' to build all default static modules shared. "+
                         "The most specific one wins, while the order is ignored "+
                         "and --with-static-modules is evaluated before "+
                         "--with-shared-modules"),
                   action="store", dest='shared_modules', default=None)

# Optional Libraries
# ------------------
#
# Most of the calls to opt.samba_add_onoff_option() implicitly
# or explicity use default=True
#
# To assist users and distributors to build Samba with the full feature
# set, the build system will abort if our dependent libraries and their
# header files are not found on the target system.  This will mean for
# example, that xattr, acl and ldap headers must be installed for the
# default build to complete.  The configure system will check for these
# headers, and the error message will indicate the option (such as
# --without-acl-support) that can be specified to skip this requirement.
#
# This will assist users and in particular distributors in building fully
# functional packages, while allowing those on systems truly without these
# facilities to continue to build Samba after careful consideration.
#
# It also ensures our container image generation in bootstrap/ is correct
# as otherwise a missing package there would just silently work

    opt.samba_add_onoff_option('winbind')
    opt.samba_add_onoff_option('ads')
    opt.samba_add_onoff_option('ldap')
    opt.samba_add_onoff_option('cups', with_name="enable", without_name="disable")
    opt.samba_add_onoff_option('iprint', with_name="enable", without_name="disable")
    opt.samba_add_onoff_option('pam')
    opt.samba_add_onoff_option('quotas', default=None)
    opt.samba_add_onoff_option('sendfile-support', default=None)
    opt.samba_add_onoff_option('utmp')
    opt.samba_add_onoff_option('avahi', with_name="enable", without_name="disable")
    opt.samba_add_onoff_option('iconv')
    opt.samba_add_onoff_option('acl-support')
    opt.samba_add_onoff_option('syslog')
    opt.samba_add_onoff_option('automount')
    opt.samba_add_onoff_option('dmapi', default=None) # None means autodetection
    opt.samba_add_onoff_option('fam', default=None) # None means autodetection
    opt.samba_add_onoff_option('profiling-data', default=False)
    opt.samba_add_onoff_option('libarchive', default=True)

    opt.samba_add_onoff_option('cluster-support', default=False)

    opt.samba_add_onoff_option('regedit', default=None)
    opt.samba_add_onoff_option('winexe', default=None)

    opt.samba_add_onoff_option('fake-kaserver',
                          help=("Include AFS fake-kaserver support"), default=False)

    opt.add_option('--with-libcephfs',
                   help=("Directory under which libcephfs is installed"),
                   action="store", dest='libcephfs_dir', default=None)

    opt.samba_add_onoff_option('glusterfs', with_name="enable", without_name="disable", default=True)
    opt.samba_add_onoff_option('cephfs', with_name="enable", without_name="disable", default=True)

    opt.add_option('--enable-vxfs',
                  help=("enable support for VxFS (default=no)"),
                  action="store_true", dest='enable_vxfs', default=False)

    # default = None means autodetection
    opt.samba_add_onoff_option('spotlight', with_name="enable", without_name="disable", default=None)

def configure(conf):
    default_static_modules = []
    default_shared_modules = []
    required_static_modules = []
    forced_static_modules = []
    forced_shared_modules = []

    if Options.options.developer:
        conf.ADD_CFLAGS('-DDEVELOPER -DDEBUG_PASSWORD')
        conf.env.developer = True

    if sys.platform != 'openbsd5':
        conf.ADD_LDFLAGS("-Wl,--export-dynamic", testflags=True)

    # We crash without vfs_default
    # and vfs_not_implemented provides helper function
    # for other modules
    required_static_modules.extend(['vfs_default', 'vfs_not_implemented'])

    conf.CHECK_HEADERS('netdb.h')
    conf.CHECK_HEADERS('linux/falloc.h linux/ioctl.h')

    conf.CHECK_FUNCS('getcwd fchown chmod fchmod mknod mknodat')
    conf.CHECK_FUNCS('strtol strchr strupr chflags fchflags')
    conf.CHECK_FUNCS('getrlimit fsync setpgid')
    conf.CHECK_FUNCS('setsid glob strpbrk crypt16 getauthuid')
    conf.CHECK_FUNCS('innetgr')
    conf.CHECK_FUNCS('initgroups select poll rdchk getgrnam getgrent pathconf')
    conf.CHECK_FUNCS('setpriv setgidx setuidx setgroups syscall sysconf')
    conf.CHECK_FUNCS('atexit grantpt posix_openpt fallocate')
    conf.CHECK_FUNCS('fseeko setluid')
    conf.CHECK_FUNCS('getpwnam', headers='sys/types.h pwd.h')
    conf.CHECK_FUNCS('fdopendir')
    conf.CHECK_FUNCS('getpwent_r setenv clearenv strcasecmp')
    conf.CHECK_FUNCS('syslog vsyslog timegm setlocale')
    conf.CHECK_FUNCS('lutimes utimensat futimens')
    conf.CHECK_FUNCS('mlock munlock mlockall munlockall')
    conf.CHECK_FUNCS('memalign posix_memalign hstrerror')
    conf.CHECK_FUNCS_IN('dn_expand _dn_expand __dn_expand', 'resolv')
    conf.CHECK_FUNCS_IN('dn_expand', 'inet')
    conf.CHECK_DECLS('readahead', reverse=True, headers='fcntl.h')

    if conf.CHECK_CODE('''
#if defined(HAVE_UNISTD_H)
#include <unistd.h>
#endif
long ret = splice(0,0,1,0,400,SPLICE_F_MOVE);
''',
        'HAVE_LINUX_SPLICE',
        headers='fcntl.h'):
        conf.CHECK_DECLS('splice', reverse=True, headers='fcntl.h')

    # Check for inotify support (Skip if we are SunOS)
    #NOTE: illumos provides sys/inotify.h but is not an exact match for linux
    host_os = sys.platform
    if host_os.rfind('sunos') == -1:
        conf.CHECK_HEADERS('sys/inotify.h')
        if conf.env.HAVE_SYS_INOTIFY_H:
           conf.DEFINE('HAVE_INOTIFY', 1)

    # Check for Linux kernel oplocks
    if conf.CHECK_DECLS('F_SETLEASE', headers='linux/fcntl.h', reverse=True):
        conf.DEFINE('HAVE_KERNEL_OPLOCKS_LINUX', 1)

    # Check for kernel share modes
    conf.CHECK_CODE('''
#include <sys/types.h>
#include <fcntl.h>
#include <signal.h>
#include <sys/file.h>
#ifndef LOCK_MAND
#define LOCK_MAND        32
#define LOCK_READ        64
#endif
main() {
        exit(flock(open("/dev/null", O_RDWR), LOCK_MAND|LOCK_READ) != 0);
}''', 'HAVE_KERNEL_SHARE_MODES', addmain=False, execute=True,
        msg="Checking for kernel share modes")

    # check for fam libs
    samba_fam_libs=None
    check_for_fam=False
    if Options.options.with_fam is None:
        check_for_fam=True
    elif Options.options.with_fam == True:
        check_for_fam=True

    if check_for_fam and conf.CHECK_HEADERS('fam.h'):
        if conf.CHECK_FUNCS_IN('FAMOpen2', 'fam'):
            samba_fam_libs='fam'
        elif conf.CHECK_FUNCS_IN('FAMOpen2', 'fam C'):
            samba_fam_libs='fam C'
        conf.CHECK_TYPE('enum FAMCodes', headers='fam.h',
            define='HAVE_FAM_H_FAMCODES_TYPEDEF',
            msg='Checking whether enum FAMCodes is available')
        conf.CHECK_FUNCS_IN('FAMNoExists', 'fam')

    if samba_fam_libs is not None:
        conf.DEFINE('SAMBA_FAM_LIBS', samba_fam_libs)
        conf.DEFINE('HAVE_FAM', 1)
    else:
        if Options.options.with_fam == True:
            conf.fatal('FAM support requested, but no suitable FAM library found')
        elif check_for_fam:
            Logs.warn('no suitable FAM library found')

    # check for libarchive (tar command in smbclient)
    # None means autodetect, True/False means enable/disable
    conf.SET_TARGET_TYPE('archive', 'EMPTY')
    if Options.options.with_libarchive is not False:
        Logs.info("Checking for libarchive existence")
        if conf.CHECK_HEADERS('archive.h') and conf.CHECK_LIB('archive', shlib=True):
            conf.CHECK_FUNCS_IN('archive_read_support_filter_all archive_read_free', 'archive')
        else:
            conf.fatal("libarchive support not found. "
                       "Try installing libarchive-dev or libarchive-devel. "
                       "Otherwise, use --without-libarchive to "
                       "build without libarchive support. "
                       "libarchive support is required for the smbclient "
                       "tar-file mode")
    elif conf.CONFIG_GET('ENABLE_SELFTEST'):
        raise Errors.WafError('libarchive library required for '
                             '--enable-selftest')


    # check for DMAPI libs
    if Options.options.with_dmapi == False:
        have_dmapi = False
    else:
        have_dmapi = True
        Logs.info("Checking for DMAPI library existence")
        samba_dmapi_lib = ''
        if conf.CHECK_FUNCS_IN('dm_get_eventlist', 'dm'):
            samba_dmapi_lib = 'dm'
        else:
            if conf.CHECK_FUNCS_IN('dm_get_eventlist', 'jfsdm'):
                samba_dmapi_lib = 'jfsdm'
            else:
                if conf.CHECK_FUNCS_IN('dm_get_eventlist', 'dmapi'):
                    samba_dmapi_lib = 'dmapi'
                else:
                    if conf.CHECK_FUNCS_IN('dm_get_eventlist', 'xdsm'):
                        samba_dmapi_lib = 'xdsm'
        # only bother to test headers and compilation when a candidate
        # library has been found
        if samba_dmapi_lib == '':
            have_dmapi = False
            broken_dmapi = "no suitable DMAPI library found"

        if have_dmapi:
            conf.CHECK_HEADERS('sys/dmi.h xfs/dmapi.h sys/jfsdmapi.h sys/dmapi.h dmapi.h')
            conf.CHECK_CODE('''
#include <time.h>      /* needed by Tru64 */
#include <sys/types.h> /* needed by AIX */
#ifdef HAVE_XFS_DMAPI_H
#include <xfs/dmapi.h>
#elif defined(HAVE_SYS_DMI_H)
#include <sys/dmi.h>
#elif defined(HAVE_SYS_JFSDMAPI_H)
#include <sys/jfsdmapi.h>
#elif defined(HAVE_SYS_DMAPI_H)
#include <sys/dmapi.h>
#elif defined(HAVE_DMAPI_H)
#include <dmapi.h>
#endif

/* This link test is designed to fail on IRI 6.4, but should
 * succeed on Linux, IRIX 6.5 and AIX.
 */
int main(int argc, char **argv)
{
	char * version;
	dm_eventset_t events;
	/* This doesn't take an argument on IRIX 6.4. */
	dm_init_service(&version);
	/* IRIX 6.4 expects events to be a pointer. */
	DMEV_ISSET(DM_EVENT_READ, events);

	return 0;
}
''',
            'USEABLE_DMAPI_LIBRARY',
            addmain=False,
            execute=False,
            lib=samba_dmapi_lib,
            msg='Checking whether DMAPI lib '+samba_dmapi_lib+' can be used')

=== lib/cmdline/wscript ===
#!/usr/bin/env python

import os
import sys
from waflib import Logs

def build(bld):
    bld.SAMBA_LIBRARY('cmdline',
                      source='cmdline.c',
                      deps='''
                           talloc
                           cli_smb_common
                           samba-hostconfig
                           samba-credentials
                           CREDENTIALS_CMDLINE
                           popt
                           ''',
                      private_library=True)

    bld.SAMBA_SUBSYSTEM('CMDLINE_S3',
                        source='cmdline_s3.c',
                        deps='cmdline secrets3')

    bld.SAMBA_SUBSYSTEM('CMDLINE_S4',
                        source='cmdline_s4.c',
                        deps='cmdline')

    bld.SAMBA_BINARY('test_cmdline',
                     source='tests/test_cmdline.c',
                     deps='cmocka CMDLINE_S3 LOADPARM_CTX',
                     local_include=False,
                     for_selftest=True)

=== lib/replace/Makefile ===
# simple makefile wrapper to run waf

WAF_BINARY=$(PYTHON) ../../buildtools/bin/waf
WAF=PYTHONHASHSEED=1 WAF_MAKE=1 $(WAF_BINARY)

all:
	$(WAF) build

install:
	$(WAF) install

uninstall:
	$(WAF) uninstall

test:
	$(WAF) test $(TEST_OPTIONS)

testenv:
	$(WAF) test --testenv $(TEST_OPTIONS)

quicktest:
	$(WAF) test --quick $(TEST_OPTIONS)

dist:
	touch .tmplock
	WAFLOCK=.tmplock $(WAF) dist

distcheck:
	touch .tmplock
	WAFLOCK=.tmplock $(WAF) distcheck

clean:
	$(WAF) clean

distclean:
	$(WAF) distclean

reconfigure: configure
	$(WAF) reconfigure

show_waf_options:
	$(WAF) --help

# some compatibility make targets
everything: all

testsuite: all

check: test

torture: all

# this should do an install as well, once install is finished
installcheck: test

etags:
	$(WAF) etags

ctags:
	$(WAF) ctags

bin/%:: FORCE
	$(WAF) --targets=`basename $@`
FORCE:

=== nsswitch/libwbclient/wscript ===
#!/usr/bin/env python

from waflib import Options, Logs

# Remember to also update wbclient.h
VERSION="0.15"

# It may be useful at some point to allow Samba to build against a
# system libwbclient, such as the one provided by Likewise.  To to
# this, not only must the check below be activated but this must only
# be activated with an off-by-default option to disable the internal
# build of both winbindd implementations, and all the internal
# references to libwbclient.h will need to be fixed to point at the
# system libwbclient.  Finally, as a system libwbclient would probably
# not use the same version scheme as Samba, so this would need to
# reference Likewise version numbers instead.
#
#def configure(conf):
#    if conf.CHECK_BUNDLED_SYSTEM_PKG('wbclient', minversion=VERSION):
#        conf.define('USING_SYSTEM_LIBWBCLIENT', 1)
#

def build(bld):
#    if bld.CONFIG_SET('USING_SYSTEM_LIBWBCLIENT'):
#        Logs.info("\tSelected system libwbclient build")
#        return
#
#    Logs.info("\tSelected embedded libwbclient build")

    abi_match = 'wbc*'
    bld.SAMBA_LIBRARY('wbclient',
                      source='''
                             wbc_guid.c
                             wbc_idmap.c
                             wbclient.c
                             wbc_pam.c
                             wbc_pwd.c
                             wbc_sid.c
                             wbc_util.c''',
                      deps='winbind-client smb_strtox',
                      pc_files='wbclient.pc',
                      public_headers='wbclient.h',
                      abi_directory='ABI',
                      abi_match=abi_match,
                      vnum=VERSION)

=== debian/changelog ===
samba (2:4.15.5~dfsg-0ubuntu5) jammy; urgency=medium

  * Enable glusterfs support (LP: #1894618):
    - d/control: revert disabling of glusterfs, since it's in main now
    - d/rules: in Ubuntu, glusterfs is not built for i386, so don't
      enable the samba glusterfs vfs mofule in that case
    - d/control: build-depend on libglusterfs-dev only on !i386 arches

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 09 Mar 2022 17:31:25 -0300

samba (2:4.15.5~dfsg-0ubuntu4) jammy; urgency=medium

  * Build dlz module for bind 9.18.x (LP: #1964032)
    - d/p/add-support-for-bind-918.patch: build a dlz module for
      bind 9.18.x
    - d/samba-libs.install: remove fixme comment
    - d/p/add-support-for-bind-918-2.patch: also update the provisioning
      tool and template config file

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 25 Mar 2022 14:53:19 -0300

samba (2:4.15.5~dfsg-0ubuntu3) jammy; urgency=medium

  * Update nfs scripts for new nfs.conf config (LP: #1961840):
    - d/p/fix-nfs-service-name-to-nfs-kernel-server.patch: updated to use
      nfsconf(8) if it's available, instead of parsing the old config
      files in /etc/default/nfs-*
    - d/ctdb.example.nfs.conf: /etc/nfs.conf to be used by the example
      enable-nfs.sh example script
    - d/ctdb.example.quota: quota config file to be used by the example
      enable-nfs.sh script
    - d/ctdb.example.nfs-{common,kernel-server}: obsolete, replaced by
      nfs.conf
    - d/ctdb.example.enable.nfs.sh: handle new nfs.conf and other
      changes in the new nfs server packages
    - d/rules: install the new/changed ctdb example nfs files

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 21 Mar 2022 11:55:54 -0300

samba (2:4.15.5~dfsg-0ubuntu2) jammy; urgency=medium

  * d/p/lp-1951490-fix-printing-KB5006743.patch: Fix printing after
    Windows 2021-10 Monthly Rollup patch (LP: #1951490)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 10 Mar 2022 10:32:59 -0300

samba (2:4.15.5~dfsg-0ubuntu1) jammy; urgency=medium

  * d/{gpb.conf,watch,README.source}: update for 4.15
  * New upstream release: 4.15.5 (LP: #1946839)
  * d/p/Rename-mdfind-to-mdsearch.patch: removed, applied usptream
  * d/rules: remove --with-dnsupdate, it was merged with
    --with-ads in samba 4.15.0
  * d/control: bump required build-depends
  * d/rules: drop removal of ctdb tests, they are no longer installed
  * Remove findsmb, no longer installed:
    - d/smbclient.install: remove findsmb
    - d/rules: drop fixing of findsmb shebang
  * d/ctdb.install: remove ctdb_local_daemons, part of ctdb tests,
    no longer installed
  * d/samba-libs.install: update list of installed libraries and
    modules/plugins
  * d/ctdb.install: add tdb_mutex_check
  * d/winbind.install: add async_dns_krb5_locator
  * d/samba.install: install samba-bgqd and its manpage
  * d/{libsmbclient,libwbclient0}.symbols: symbols updates
  * d/control: add python3-markdown to build-depends
  * d/watch: updated to handle ~dfsg versioning, thanks to
    Sergio Durigan Junior <sergio.durigan@canonical.com>

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 22 Feb 2022 17:59:22 -0300

samba (2:4.13.17~dfsg-0ubuntu1) jammy; urgency=medium

  * Update to 4.13.17 as a security update
    - CVE-2021-43566, CVE-2021-44142, CVE-2022-0336
  * Removed patches included in new version:
    - debian/patches/trusted_domain_regression_fix.patch
    - debian/patches/bug14901-*.patch
    - debian/patches/bug14922.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 14 Feb 2022 10:19:08 -0500

samba (2:4.13.14+dfsg-0ubuntu5) jammy; urgency=medium

  * No-change rebuild for icu soname change

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 11 Feb 2022 11:36:14 -0600

samba (2:4.13.14+dfsg-0ubuntu4) jammy; urgency=medium

  * d/t/util: fix setting the password of the smb test user
    (LP: #1955851)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 20 Jan 2022 17:06:13 -0300

samba (2:4.13.14+dfsg-0ubuntu3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 16 Jan 2022 07:01:34 +0000

samba (2:4.13.14+dfsg-0ubuntu2) jammy; urgency=medium

  * SECURITY REGRESSION: Kerberos authentication on standalone server in
    MIT realm broken
    - debian/patches/bug14922.patch: fix MIT Realm regression in
      source3/auth/user_krb5.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 13 Dec 2021 07:09:36 -0500

samba (2:4.13.14+dfsg-0ubuntu1) jammy; urgency=medium

  * Update to 4.13.14 as a security update (LP: #1950363)
    - debian/patches/CVE-2021-20254.patch: removed, included in new
      version.
    - debian/control: bump ldb Build-Depends to 2.2.3.
    - debian/samba-libs.install: added libdcerpc-pkt-auth.so.0.
    - debian/patches/trusted_domain_regression_fix.patch: fix regression
      introduced in 4.13.14.
    - debian/patches/bug14901-*.patch: upstream patches to fix some
      mapping issues.
    - debian/patches/bug14918-*.patch: upstream patches to properly handle
      dangling symlinks.
    - CVE-2016-2124, CVE-2020-25717, CVE-2020-25718, CVE-2020-25719,
      CVE-2020-25721, CVE-2020-25722, CVE-2021-3738, CVE-2021-23192

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Nov 2021 14:52:07 -0500

samba (2:4.13.5+dfsg-2ubuntu4) jammy; urgency=medium

  * No-change rebuild against liburing2

 -- Paride Legovini <paride@ubuntu.com>  Mon, 22 Nov 2021 18:08:34 +0100

samba (2:4.13.5+dfsg-2ubuntu3) impish; urgency=medium

  * d/samba.postinst: do not populate sambashare from the admin group
    (Debian packaging cherry-pick. LP: #1942195)

 -- Paride Legovini <paride@ubuntu.com>  Wed, 06 Oct 2021 10:31:14 +0200

=== debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>,
           Mathieu Parent <sathieu@debian.org>,
           Andrew Bartlett <abartlet+debian@catalyst.net.nz>
Homepage: http://www.samba.org
Standards-Version: 4.5.0
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-exec,
               dh-python,
               docbook-xml,
               docbook-xsl,
               flex,
               libacl1-dev,
               libarchive-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libblkid-dev,
               libbsd-dev,
               libcap-dev [linux-any],
               libcephfs-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el ppc64 s390x x32],
               libcmocka-dev (>= 1.1.3),
               libcups2-dev,
               libdbus-1-dev,
               libgnutls28-dev (>= 3.6.5),
               libglusterfs-dev [!i386],
               libgpgme11-dev,
               libicu-dev,
               libjansson-dev,
               libldap2-dev,
               libldb-dev (>= 2:2.4.1~),
               libncurses5-dev,
               libpam0g-dev,
               libparse-yapp-perl,
               libpcap-dev [hurd-i386 kfreebsd-any],
               libpopt-dev,
               librados-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el ppc64 s390x x32],
               libreadline-dev,
               libsystemd-dev [linux-any],
               libtalloc-dev (>= 2.3.3~),
               libtasn1-6-dev (>= 3.8),
               libtasn1-bin,
               libtdb-dev (>= 1.4.4~),
               libtevent-dev (>= 0.11.0~),
               liburing-dev [!i386],
               perl,
               pkg-config,
               po-debconf,
               python3-dev,
               python3-dnspython,
               python3-etcd,
               python3-ldb (>= 2:2.2.3~),
               python3-ldb-dev (>= 2:2.2.3~),
               python3-markdown,
               python3-talloc-dev (>= 2.3.1~),
               python3-tdb (>= 1.4.3~),
               python3-testtools,
               python3,
               xfslibs-dev [linux-any],
               xsltproc,
               zlib1g-dev (>= 1:1.2.3)
Build-Conflicts: libtracker-miner-2.0-dev,
                 libtracker-sparql-2.0-dev
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/samba-team/samba
Vcs-Git: https://salsa.debian.org/samba-team/samba.git

Package: samba
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: adduser,
         libpam-modules,
         libpam-runtime (>= 1.0.1-11),
         lsb-base (>= 4.1+Debian),
         procps,
         python3,
         python3-dnspython,
         python3-samba,
         samba-common (= ${source:Version}),
         samba-common-bin (=${binary:Version}),
         tdb-tools,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: attr,
            logrotate,
            python3-markdown,
            samba-dsdb-modules,
            samba-vfs-modules
Suggests: bind9 (>= 1:9.5.1),
          bind9utils,
          ctdb,
          ldb-tools,
          ntp | chrony (>= 3.0-1),
          smbldap-tools,
          ufw,
          winbind
Enhances: bind9, ntp
Description: SMB/CIFS file, print, and login server for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides the components necessary to use Samba as a stand-alone
 file and print server or as an NT4 or Active Directory domain controller.
 For use in an NT4 domain or Active Directory realm, you will also need the
 winbind package.
 .
 This package is not required for connecting to existing SMB/CIFS servers
 (see smbclient) or for mounting remote filesystems (see cifs-utils).

Package: samba-libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libndr-standard0 (<< 2:4.0.9),
        libsamba-credentials0 (<< 2:4.0.9),
        libsamba-hostconfig0 (<< 2:4.0.9),
        libsamba-util0 (<< 2:4.0.9),
        sssd-ad-common (<< 2.3.0),
Replaces: samba (<< 2:4.3.3+dfsg-1),
          libndr-standard0 (<< 2:4.0.9),
          libsamba-credentials0 (<< 2:4.0.9),
          libsamba-hostconfig0 (<< 2:4.0.9),
          libsamba-util0 (<< 2:4.0.9),
Description: Samba core libraries
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the shared libraries.

Package: samba-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ucf, ${misc:Depends}
Recommends: samba-common-bin
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains common files used by all parts of Samba.

Package: samba-common-bin
Architecture: any
Depends: python3,
         python3-samba,
         samba-common (=${source:Version}),
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: samba-dsdb-modules
Suggests: heimdal-clients,
          python3-markdown,
          python3-dnspython
Description: Samba common files used by both the server and the client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the common files that are used by both the server
 (provided in the samba package) and the client (provided in the samba-clients
 package).

Package: smbclient
Architecture: any
Depends: samba-common (= ${source:Version}),
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Provides: samba-client
Suggests: cifs-utils, heimdal-clients
Description: command-line SMB/CIFS clients for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains command-line utilities for accessing Microsoft
 Windows and Samba servers, including smbclient, smbtar, and smbspool.
 Utilities for mounting shares locally are found in the package
 cifs-utils.

Package: samba-testsuite
Architecture: any
Suggests: subunit
Depends: samba-common-bin,
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: test suite from Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains programs for testing the reliability and speed
 of SMB servers, Samba in particular.

Package: registry-tools
Architecture: any
Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: tools for viewing and manipulating the Windows registry
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains tools for viewing and manipulating the binary
 "registry" found on Windows machines, both locally and remote.

Package: samba-dev
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libldb-dev (>= 2:2),
         libpopt-dev,
         libtalloc-dev,
         libtdb-dev,
         libtevent-dev,
         libwbclient-dev,
         samba-libs (= ${binary:Version}),
         ${misc:Depends}
Section: devel
Description: tools for extending Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains include files shared by the various Samba-based
 libraries.

Package: python3-samba
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Section: python
Provides: ${python3:Provides}
Depends: python3-ldb,
         python3-tdb,
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-gpg
Description: Python 3 bindings for Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains Python 3 bindings for most Samba libraries.

Package: samba-dsdb-modules
Architecture: any
Multi-Arch: same
Section: libs
Depends: libgpgme11,
         samba-libs (= ${binary:Version}),
         ${ldb:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: libldb2
Description: Samba Directory Services Database
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains LDB plugins which add support for various Active
 Directory features to the LDB library.

Package: samba-vfs-modules
Architecture: any
Multi-Arch: same
Breaks: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
Replaces: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: ${vfsceph:Recommends}, ${vfsglusterfs:Recommends}, ${vfssnapper:Recommends}
Enhances: samba
Description: Samba Virtual FileSystem plugins
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 Virtual FileSystem modules are stacked shared libraries extending the
 functionality of Samba. Some examples are:
  * vfs_acl_xattr: Save NTFS-ACLs in Extended Attributes
  * vfs_audit: record selected Samba VFS operations in the system log
  * vfs_readonly: Make a Samba share read only for a specified time period
  * vfs_recycle: Give the same effect as the Recycle Bin on Windows computers
  * vfs_shadow_copy2: Expose snapshots to Windows clients as shadow copies
  * vfs_worm: Disallow writes for older file
 .

=== debian/tests/control ===
Tests: cifs-share-access
Depends: samba, coreutils, systemd, cifs-utils, passwd
Restrictions: needs-root, allow-stderr, isolation-machine

Tests: cifs-share-access-uring
Depends: samba, samba-vfs-modules, coreutils, systemd, cifs-utils, passwd
Restrictions: needs-root, allow-stderr, isolation-machine, skippable

Tests: python-smoke
Depends: python3-samba

Tests: smbclient-anonymous-share-list
Depends: samba, smbclient
Restrictions: allow-stderr, isolation-container

Tests: smbclient-authenticated-share-list
Depends: samba, smbclient, passwd
Restrictions: needs-root, allow-stderr, isolation-container

Tests: smbclient-share-access
Depends: samba, smbclient, coreutils, systemd, passwd
Restrictions: needs-root, allow-stderr, isolation-container

Tests: smbclient-share-access-uring
Depends: samba, samba-vfs-modules, smbclient, coreutils, systemd, passwd
Restrictions: needs-root, allow-stderr, isolation-container, skippable

=== debian/watch ===
version=3
opts="uversionmangle=s/tp/~alpha1~tp/;s/alpha/~alpha/;s/beta/~beta/;s/rc/~rc/,dversionmangle=s/\+dfsg\d*$//;s/~dfsg\d*$//,pgpsigurlmangle=s/tar\.gz/tar.asc/,decompress,repacksuffix=~dfsg" \
	  https://download.samba.org/pub/samba/ samba-(4\.15\..*).tar.gz
